Search documentation of bb

# BB.Error.Safety.CollisionRisk exception (bb v0.17.0)

Copy Markdown View Source

Potential collision detected.

Raised when the system detects a risk of collision between robot components, with the environment, or with people.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Safety.CollisionRisk` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.CollisionRisk{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      collision_type: term(),
      component_path: term(),
      details: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Safety.CollisionRisk` without raising it.

## Keys

- :component_path
- :collision_type
- :details